<div class="company-management mb-5">

  <h1 class="mat-h1">Zarządzanie firmą</h1>
  <mat-divider></mat-divider>

  <div class="container" fxLayout="column" fxLayoutGap="50px" fxLayoutGap.xs="10px">

    <ng-container *ngIf="updatedBy?.data?.firstName">
      <span>Ostatnia aktualizacja: {{updatedAt | date: 'd/MM/yyyy, h:mm'}}
        przez {{updatedBy?.data?.firstName}} {{updatedBy?.data?.lastName}}</span>
    </ng-container>
    <ng-container *ngIf="!updatedBy?.data?.firstName">
      <span>Ostatnia aktualizacja: {{updatedAt | date: 'd/MM/yyyy, h:mm'}}</span>
    </ng-container>

    <div fxLayout="row" fxLayoutGap="50px">
      <mat-card fxFlex>
        <mat-card-header>
          <mat-card-title>
            Dane firmy:
          </mat-card-title>
        </mat-card-header>

        <form [formGroup]="companySettingsForm" (submit)="onSubmit()">
          <div fxLayout="column">
            <mat-form-field>
              <input matInput formControlName="name" placeholder="Nazwa firmy" required>
              <mat-error>Nazwa firmy nie może być pusta.</mat-error>
            </mat-form-field>

            <mat-form-field>
              <input matInput formControlName="typeOfBusiness" placeholder="Rodzaj działalności">
            </mat-form-field>

            <mat-form-field>
              <input matInput formControlName="nip" #nip placeholder="Nip" maxlength="10">
              <mat-error>Nip musi składać sie dokładnie z 10 cyfr.</mat-error>
              <mat-hint align="end">{{nip.value.length}} / 10</mat-hint>
            </mat-form-field>

            <mat-form-field>
              <input matInput formControlName="regon" placeholder="Regon" maxlength="14">
              <mat-error>Nip musi składać sie dokładnie z 9 lub 14 cyfr.</mat-error>
            </mat-form-field>

            <mat-form-field>
              <textarea matInput formControlName="address1" placeholder="Adres 1"></textarea>
            </mat-form-field>

            <mat-form-field>
              <textarea matInput formControlName="address2" placeholder="Adres 2"></textarea>
            </mat-form-field>
          </div>

          <ng-container *ngIf="currentUser?.permissions?.canEditCompany">
            <div class="button-row">
              <button mat-raised-button color="primary" type="submit" [disabled]="companySettingsForm.invalid">
                Wyślij
              </button>
              <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
            </div>

          </ng-container>
        </form>
      </mat-card>
    </div>

    <div fxLayout="row" fxLayout.md="column" fxLayoutGap="50px">
      <mat-card fxFlex>
        <app-company-positions-list></app-company-positions-list>
      </mat-card>
      <mat-card fxFlex>
        <app-company-departments-list></app-company-departments-list>
      </mat-card>
    </div>

  </div>
</div>
